# Type alias RecoverChainIdStructOutput

RecoverChainIdStructOutput: [module: string, action: bigint, evmChainId: bigint, newChainId: bigint] & {
action: bigint;
evmChainId: bigint;
module: string;
newChainId: bigint;
}

#### Type declaration

- ##### action: bigint

- ##### evmChainId: bigint

- ##### module: string

- ##### newChainId: bigint

- Defined in ethers-contracts/Implementation.ts:136

Generated using TypeDoc